Page tree
Skip to end of metadata
Go to start of metadata


MINIMUM SPECIFICATIONS FOR COMPATIBILITY

 

To be compatible with the Catalyst app, a device must meet the following Minimum Specifications for Apple and Android devices, respectively. These technical specifications are meant to provide parameters for the minimum amount of technical power required for the Catalyst app to function properly. To identify technical specifications for your specific device, we suggest using a 3rd-party website for mobile device specifications, such as www.gsmarena.com or www.phonearena.com.

 

Apple

Screen SizeMinimum 5.0" screen
Operating SystemRunning iOS 10 or above
Supported by AppleHas the ability to update to the latest, current iOS

 

 

 

Android

Screen SizeMinimum 7.0" screen
Operating SystemRunning Android 5.0 or above
Memory/RAMMinimum 1 GB
ProcessorMinimum quad-core processor


RECOMMENDED

 

The following Recommended list is comprised of devices that meet both the compatibility specifications and are considered to provide the most optimal Catalyst user experience. These devices are used in-house for all of our software testing. If you are looking to purchase a new device, the following devices are what we most highly recommended on the market.

 

iPad (2018)Tablet
iPad Pro 12.9" (2nd Gen)Tablet
iPad Pro 10.5" (2nd Gen) Tablet
iPad Mini 4Tablet

 

 

Recommended

Samsung Galaxy Tab E 8.0"Tablet
Samsung Galaxy Tab S3 9.7" Tablet
Samsung Galaxy Tab S2 8.0"Tablet
Samsung Galaxy Tab E 9.6" Tablet
Samsung Galaxy Tab S2 9.7"Tablet
Huawei MediaPad M3 Tablet
ASUS ZenPad 3S 10 (Z500M)Tablet
ASUS ZenPad 8 (Z380M)Tablet
ASUS ZenPad S8 (Z580C)Tablet
Lenovo Tab 4 10 PlusTablet



COMPATIBLE

 

The following Compatible list contains devices that meet the compatibility specifications, but have not been identified as recommended for the optimal Catalyst user experience. We do not keep these devices in-house software testing. Please note, this is not meant to be an exhaustive list, rather a helpful guide in determining compatibility for your device. 

 

Compatible

iPad (2017)Tablet
iPad Pro 9.7" (1st Gen)Tablet
iPad Pro 12.9" (1st Gen) Tablet
iPad Air 2Tablet

iPad Mini 3

Tablet
iPad AirTablet
iPad Mini 2Tablet
iPad (4th Gen)Tablet
iPhone XSPhone
iPhone XS MaxPhone
iPhone XRPhone
iPhone XPhone
iPhone 8 PlusPhone
iPhone 8Phone
iPhone 7 PlusPhone
iPhone 7Phone
iPod Touch (6th Gen)Phone
iPhone 6S PlusPhone
iPhone 6S

Phone

Compatible

Amazon Fire 7 (2017)Tablet
Amazon Fire HD 8 (2017)Tablet
ASUS Zenpad S 8.0Tablet
Galaxy Tab A 7.0"Tablet
Galaxy Tab E 9.6"Tablet



INCOMPATIBLE

 

The following Incompatible list contains devices that do not meet the minimum compatibility specifications. The Catalyst app can be installed and run on these devices, however, the user is likely to experience issues due to outdated operating systems and lack of processing power. Please note, this is not meant to be an exhaustive list, rather a helpful guide in determining compatibility for your device. 

 

Incompatible

iPad (3rd Gen) Tablet 
iPad Mini (1st Gen)  Tablet
iPad 2  Tablet
iPhone SEPhone
iPhone 5SPhone
iPhone 5CPhone
iPhone 5Phone
iPhone 4Phone
iPhone 3GSPhone
iPhone 3GPhone
iPhonePhone

Incompatible

Amazon Kindle Fire HDX 8.9Tablet 
Amazon Kindle Fire HD 8.9 Tablet
Amazon Kindle Fire HDX Tablet
Amazon Kindle Fire HD Tablet
Amazon Kindle Fire Tablet
  • No labels